import pandas as pd
import json

df = pd.read_csv("metrics.csv", delimiter=";")
metrics = []
category = ""
df = df.fillna("")

for i, row in df.iterrows():
    newCat = row.get("Kategorie")
    if type(newCat) == str and newCat != "":
        category = newCat
    rating = {
        "pigeon": row.get("Pigeon"),
        "leaflet": row.get("Leaflet"),
        "mapgl": row.get("MapGL"),
        "mapbox": row.get("Mapbox"),
        "google": row.get("Google"),
    }

    comments = {
        "pigeon": row.get("Kommentar Pigeon"),
        "leaflet": row.get("Kommentar Leaflet"),
#        "mapgl": row.get("Kommentar MapGL"),
#        "mapbox": row.get("Kommentar Mapbox"),
        "google": row.get("Kommentar Google"),
    }

    metrics.append({
        "metric": row.get("Metrik"),
        "number": row.get("Nummer"),
        "category": category,
        "rating": rating,
        "comments": comments
    })

with open("metrics.json", "w") as jsonFile:
    json.dump({"metrics": metrics}, jsonFile, indent=2)

